Skip to main content

Create Business Type

API operation: Open the endpoint in the API reference

Use POST /business_types to create a business type. The current public operation is BusinessType.register.

If available, the operation requires administrator authentication and currently requires name. Optional fields include description, enabled, and image; see the operation guide for validation and image handling.

This operation creates a business type, not a business.

OpenAPI reference​

Operation: POST /business_types

Request body fields

NameTypeRequired
descriptionanyNo
enabledbooleanNo
imageanyNo
nameanyYes

Responses

CodeDescription
200OK (Envelope)
400Bad Request (ErrorResponse)
401Unauthorized
404Not Found
429Too Many Requests (ErrorResponse)
500Internal Server Error (ErrorResponse)
503Service Unavailable (ErrorResponse)
Open this operation in the API reference